package com.zhaoliangsz.grainsearch.mapper;

import com.zhaoliangsz.grainsearch.domain.entity.GrainRightBoard;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;
/**
 * <p>
 * 粮权牌 Mapper 接口
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
public interface GrainRightBoardMapper extends BaseMapper<GrainRightBoard> {
    /**
     * 根据条件查询总数
     *
     * @param pageView
     * @return
     */
     Integer getCountByCondition(Map<String, Object> pageView);

    /**
     * 根据条件查询列表
     *
     * @param pageView
     * @return
     */
    List<GrainRightBoard> getListByCondition(Map<String, Object> pageView);
}
