package com.zhaoliangsz.grainsearch.mapper;

import com.zhaoliangsz.grainsearch.domain.entity.GrainRight;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;
/**
 * <p>
 * 粮权 Mapper 接口
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
public interface GrainRightMapper extends BaseMapper<GrainRight> {
    /**
     * 根据条件查询总数
     *
     * @param pageView
     * @return
     */
     Integer getCountByCondition(Map<String, Object> pageView);

    /**
     * 根据条件查询列表
     *
     * @param pageView
     * @return
     */
    List<GrainRight> getListByCondition(Map<String, Object> pageView);
}
