package com.zhaoliangsz.grainsearch.mapper;

import com.zhaoliangsz.grainsearch.domain.entity.SysUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;
/**
 * <p>
 * 用户 Mapper 接口
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:06:19
 */
public interface SysUserMapper extends BaseMapper<SysUser> {
    /**
     * 根据条件查询总数
     *
     * @param pageView
     * @return
     */
     Integer getCountByCondition(Map<String, Object> pageView);

    /**
     * 根据条件查询列表
     *
     * @param pageView
     * @return
     */
    List<SysUser> getListByCondition(Map<String, Object> pageView);
}
