package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.FilFile;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 * 文件信息 服务类
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
public interface IFilFileService extends IService<FilFile> {
    /**
    * 查询
    * @return
    */
    PageResult<FilFile> queryFilFileList(FilFile queryFilFile) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addFilFile(FilFile addFilFile) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editFilFile(FilFile editFilFile) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteFilFile(FilFile deleteFilFile) throws ServiceException;

 }
