package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.GrainRight;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 * 粮权 服务类
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
public interface IGrainRightService extends IService<GrainRight> {
    /**
    * 查询
    * @return
    */
    PageResult<GrainRight> queryGrainRightList(GrainRight queryGrainRight) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addGrainRight(GrainRight addGrainRight) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editGrainRight(GrainRight editGrainRight) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteGrainRight(GrainRight deleteGrainRight) throws ServiceException;

 }
