package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.GrainRightSubscription;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 * 粮权公告订阅 服务类
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
public interface IGrainRightSubscriptionService extends IService<GrainRightSubscription> {
    /**
    * 查询
    * @return
    */
    PageResult<GrainRightSubscription> queryGrainRightSubscriptionList(GrainRightSubscription queryGrainRightSubscription) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addGrainRightSubscription(GrainRightSubscription addGrainRightSubscription) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editGrainRightSubscription(GrainRightSubscription editGrainRightSubscription) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteGrainRightSubscription(GrainRightSubscription deleteGrainRightSubscription) throws ServiceException;

 }
