package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.SysEnterprise;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 * 企业 服务类
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
public interface ISysEnterpriseService extends IService<SysEnterprise> {
    /**
    * 查询
    * @return
    */
    PageResult<SysEnterprise> querySysEnterpriseList(SysEnterprise querySysEnterprise) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addSysEnterprise(SysEnterprise addSysEnterprise) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editSysEnterprise(SysEnterprise editSysEnterprise) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteSysEnterprise(SysEnterprise deleteSysEnterprise) throws ServiceException;

 }
