package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.GrainRightBoard;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 * 粮权牌 服务类
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
public interface IGrainRightBoardService extends IService<GrainRightBoard> {
    /**
    * 查询
    * @return
    */
    PageResult<GrainRightBoard> queryGrainRightBoardList(GrainRightBoard queryGrainRightBoard) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addGrainRightBoard(GrainRightBoard addGrainRightBoard) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editGrainRightBoard(GrainRightBoard editGrainRightBoard) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteGrainRightBoard(GrainRightBoard deleteGrainRightBoard) throws ServiceException;

 }
