package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.GrainRightHistory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 * 粮权历史 服务类
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:09:57
 */
public interface IGrainRightHistoryService extends IService<GrainRightHistory> {
    /**
    * 查询
    * @return
    */
    PageResult<GrainRightHistory> queryGrainRightHistoryList(GrainRightHistory queryGrainRightHistory) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addGrainRightHistory(GrainRightHistory addGrainRightHistory) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editGrainRightHistory(GrainRightHistory editGrainRightHistory) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteGrainRightHistory(GrainRightHistory deleteGrainRightHistory) throws ServiceException;

 }
