package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.SysUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 * 用户 服务类
 * </p>
 *
 * @author chengchangjiang
 * @since 2023-08-22 11:06:19
 */
public interface ISysUserService extends IService<SysUser> {
    /**
    * 查询
    * @return
    */
    PageResult<SysUser> querySysUserList(SysUser querySysUser) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addSysUser(SysUser addSysUser) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editSysUser(SysUser editSysUser) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteSysUser(SysUser deleteSysUser) throws ServiceException;

 }
